%define name    ksmoothdock
%define version 3.5.1
%define release 3mdk
%define __libtoolize    /bin/true

Summary:	Ksmoothdock
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Url:		http://ksmoothdock.sourceforge.net/
Group:		Graphical desktop/KDE
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}
Prefix:		%{_prefix}
BuildRequires:	kdebase-devel

Patch1:		ksmoothdock-includemoc.patch.bz2
Patch2:		ksmoothdock-3.5.1-fix-mem-leak.patch.bz2

%description
KSmoothDock is a cool desktop panel (like KDE's kicker) for KDE 3.2 with 
smooth zooming (2 modes: normal & parabolic). Its aim is to provide 
a cool alternative/complement to kicker. As it is intended for KDE/Linux,
its behaviour will be like that of kicker. 

%prep
%setup -q
%patch1 -p0 -b .fix_includemoc
%patch2 -p1 -b .fix_mem_leak

%build
make -f admin/Makefile.common

export QTDIR=%qtdir
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%configure  

%make

%install
rm -Rf %{buildroot}
%makeinstall

#mkdir -p $RPM_BUILD_ROOT%{_menudir}
#kdedesktop2mdkmenu.pl %{name} System/Monitoring %{buildroot}/%{_datadir}/applnk/Utilities/%{name}.desktop %{buildroot}/%{_menudir}/%{name}

mkdir -p %{buildroot}/{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
ln -s ../hicolor/16x16/apps/%{name}.png %{buildroot}/%{_miconsdir}
ln -s ../hicolor/32x32/apps/%{name}.png %{buildroot}/%{_liconsdir}
ln -s hicolor/32x32/apps/%{name}.png %{buildroot}/%{_iconsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
#%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_bindir}/%{name}
#%{_datadir}/apps/%{name}
#%{_datadir}/applnk/*/%{name}.desktop
#%{_iconsdir}/hicolor/*/apps/%{name}.png
#%lang(en) %{_defaultdocdir}/HTML/en/%{name}/
%doc AUTHORS ChangeLog COPYING INSTALL README TODO

%changelog
* Fri Feb 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.5.1-3mdk
- Add patch2: fix mem leak

* Fri Feb 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.5.1-2mdk
- Add patch1: fix includemoc

* Fri Feb 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.5.1-1mdk
- 3.5.1

* Tue Feb 22 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3-3mdk
- Fix build on 64_x86

* Thu Jul 22 2004 Michael Scherer <misc@mandrake.org> 3.3-2mdk 
- rebuild for new gcc
- remove libtool hack
- add description

* Fri May 28 2004 Buchan Milne <bgmilne@linux-mandrake.com> 3.3-1mdk
- first package
